<div class="flex flex-col flex-auto items-center justify-center mx-auto w-full sm:w-90 drop-shadow-2xl"
    style="background-color: #F8F8F8;">

    <div class="container mx-auto text-right">
        <mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon>
    </div>

    <!-- Main -->
    <div class="flex-auto p-5">
        <div class="font-Semibold-40 leading-none sm:px-6 mb-7" style="text-align:center !important;">Top Up</div>

        <!-- CONTENT GOES HERE -->
        <form action="">
            <div class="flex flex-col p-8 pt-4 bg-card shadow overflow-hidden mb-10" style="text-align:left;">
                <div class="flex flex-row">
                    <div class="flex flex-col mx-3 my-1 ml-0">
                        <div class="mt-4 font-Semibold-18 text-xl leading-none" style="color: #ff0000;">
                            <div>Top Up {{status}}</div>
                        </div>
                        <div class="mt-2 leading-none font-Regular-14">Bank account holder’s name does not match with
                            the registered Bursa Gold Dinar account.</div>
                    </div>
                </div>
                <div class="relative flex flex-col p-4 pt-10 pl-0">
                    <div class="font-Regular-14 text-zinc-600 text-lg">Reference Number</div>
                    <div class="text-lg font-Medium-14">{{ref}}</div>
                </div>
                <div class="flex items-center mt-2">
                    <div class="flex-auto mt-px border-t"></div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Semibold-18">Payment Details</div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Regular-16 font-7B7B7B">Date & Time</div>
                    <div class="font-Semibold-16">{{ today | date:'dd MMMM yyyy - hh:mm:ss a' }}</div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Regular-16 font-7B7B7B">Top Up Method</div>
                    <div class="font-Semibold-16">{{ transactionMethod }}</div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Regular-16 font-7B7B7B">Top Up Amount</div>
                    <div class="font-Semibold-16">RM{{ amount | number:'1.2-2' }}</div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Regular-16 font-7B7B7B">Transaction Fee {{setuptransFee |
                        number:'1.2-2'}}{{setuptransOum}}</div>
                    <div class="font-Semibold-16">RM{{ chargeTransFee | number:'1.2-2' }}</div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Regular-16 font-7B7B7B">SS Fee {{setupSstFee |
                        number:'1.2-2'}}{{setupSstOum}}</div>
                    <div class="font-Semibold-16">RM{{ chargeSstFee | number:'1.2-2' }}</div>
                </div>
                <div class="flex items-center mt-2">
                    <div class="flex-auto mt-px border-t"></div>
                </div>
                <div class="relative flex flex-col p-4 pl-0">
                    <div class="font-Regular-16 font-7B7B7B">Total Receiveable Amount</div>
                    <div class="font-Semibold-16">RM{{ totalAmount | number:'1.2-2' }}</div>
                </div>
            </div>
        </form>

    </div>